Bug 838267 - Since kernel 3.3.x the usb wlan stick has much less power/energy, so it can not find my AP
Since kernel 3.3.x the usb wlan stick has much less power/energy, so it can n...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: John Greene
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 02:03 EDT by oliver.zemann
Modified: 2013-07-16 10:43 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 10:43:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description oliver.zemann 2012-07-08 02:03:09 EDT
Description of problem:
When using kernel 3.0.36 i can connect without problems to my AP. Everything above that (i guess, at least with 3.3.x) wont work. Looks like there is a big power/energy problem.

Version-Release number of selected component (if applicable):
All kernels above 3.0.36 (i had only 3.3.4.5 installed for testing, and then all starting from 3.4 (regular updates)) 

How reproducible:
always

Steps to Reproduce:
use an avm wlan stick (ath9k_htc module) with current kernel, move the AP a few meters away from the stick until it cannot connect anymore. then switch to kernel 3.0 and its no problem to connect to it.
  
Actual results:


Expected results:


Additional info:

With kernel 3.4.4.5:
wlan0     Scan completed :
          Cell 01 - Address: 00:24:C8:9F:C3:D0
                    Channel:1
                    Frequency:2.412 GHz (Channel 1)
                    Quality=22/70  Signal level=-88 dBm  
                    Encryption key:on
                    ESSID:"nad-44699"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 22 Mb/s
                    Bit Rates:6 Mb/s; 9 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s
                              36 Mb/s; 48 Mb/s; 54 Mb/s
                    Mode:Master
                    Extra:tsf=000005781fef942f
                    Extra: Last beacon: 767ms ago
                    IE: Unknown: 00096E61642D3434363939
                    IE: Unknown: 010582848B962C
                    IE: Unknown: 030101
                    IE: Unknown: 2A0107
                    IE: IEEE 802.11i/WPA2 Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (1) : CCMP
                        Authentication Suites (1) : PSK
                    IE: Unknown: 32080C1218243048606C
                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (1) : TKIP
                        Authentication Suites (1) : PSK
          Cell 02 - Address: 00:24:37:07:45:B0
                    Channel:3
                    Frequency:2.422 GHz (Channel 3)
                    Quality=32/70  Signal level=-78 dBm  
                    Encryption key:on
                    ESSID:"DSC-23696"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 22 Mb/s
                    Bit Rates:6 Mb/s; 9 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s
                              36 Mb/s; 48 Mb/s; 54 Mb/s
                    Mode:Master
                    Extra:tsf=00000e97b843419b
                    Extra: Last beacon: 583ms ago
                    IE: Unknown: 00094453432D3233363936
                    IE: Unknown: 010582848B962C
                    IE: Unknown: 030103
                    IE: Unknown: 2A0107
                    IE: IEEE 802.11i/WPA2 Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (1) : CCMP
                        Authentication Suites (1) : PSK
                    IE: Unknown: 32080C1218243048606C
                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (1) : TKIP
                        Authentication Suites (1) : PSK
          Cell 03 - Address: 00:19:5B:01:8D:D1
                    Channel:6
                    Frequency:2.437 GHz (Channel 6)
                    Quality=39/70  Signal level=-71 dBm  
                    Encryption key:on
                    ESSID:"ATCQ-Wireless"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s
                    Bit Rates:6 Mb/s; 9 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s
                              36 Mb/s; 48 Mb/s; 54 Mb/s
                    Mode:Master
                    Extra:tsf=0000060af7dbd183
                    Extra: Last beacon: 356ms ago
                    IE: Unknown: 000D415443512D576972656C657373
                    IE: Unknown: 010482848B96
                    IE: Unknown: 030106
                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (1) : TKIP
                        Authentication Suites (1) : PSK
                    IE: Unknown: 050402030008
                    IE: Unknown: 2A0102
                    IE: Unknown: 32080C1218243048606C
          Cell 04 - Address: D4:D1:84:52:1A:25
                    Channel:11
                    Frequency:2.462 GHz (Channel 11)
                    Quality=28/70  Signal level=-82 dBm  
                    Encryption key:on
                    ESSID:"xnu-71560"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 18 Mb/s
                              24 Mb/s; 36 Mb/s; 54 Mb/s
                    Bit Rates:6 Mb/s; 9 Mb/s; 12 Mb/s; 48 Mb/s
                    Mode:Master
                    Extra:tsf=000000138c1dd2d1
                    Extra: Last beacon: 24ms ago
                    IE: Unknown: 0009786E752D3731353630
                    IE: Unknown: 010882848B962430486C
                    IE: Unknown: 03010B
                    IE: Unknown: 2A0100
                    IE: Unknown: 2F0100
                    IE: IEEE 802.11i/WPA2 Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (2) : CCMP TKIP
                        Authentication Suites (1) : PSK
                    IE: Unknown: 32040C121860
                    IE: Unknown: 2D1A7C181BFFFF000000000000000000000000000000000000000000
                    IE: Unknown: 3D160B080400000000000000000000000000000000000000
                    IE: Unknown: DD770050F204104A00011010440001021041000100103B00010310470010651E8B1FB06DFB89D25FC73E9BFE993E10210007506972656C6C691023000D43656E74726F206772616E64651024000630303030303110420004303030311054000800060050F20400011011000753776973734150100800020080
                    IE: Unknown: DD090010180201F0050000
                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (2) : CCMP TKIP
                        Authentication Suites (1) : PSK
                    IE: Unknown: DD180050F2020101800003A4000027A4000042435E0062322F00
                    IE: Unknown: DD1E00904C337C181BFFFF000000000000000000000000000000000000000000
                    IE: Unknown: DD1A00904C340B080400000000000000000000000000000000000000
          Cell 05 - Address: 98:FC:11:6F:41:0C
                    Channel:11
                    Frequency:2.462 GHz (Channel 11)
                    Quality=28/70  Signal level=-82 dBm  
                    Encryption key:on
                    ESSID:"linksys"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 18 Mb/s
                              24 Mb/s; 36 Mb/s; 54 Mb/s
                    Bit Rates:6 Mb/s; 9 Mb/s; 12 Mb/s; 48 Mb/s
                    Mode:Master
                    Extra:tsf=00000ab195f709da
                    Extra: Last beacon: 28ms ago
                    IE: Unknown: 00076C696E6B737973
                    IE: Unknown: 010882848B962430486C
                    IE: Unknown: 03010B
                    IE: Unknown: 2A0100
                    IE: Unknown: 2F0100
                    IE: IEEE 802.11i/WPA2 Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (2) : CCMP TKIP
                        Authentication Suites (1) : PSK
                    IE: Unknown: 32040C121860
                    IE: Unknown: 2D1A7C181BFFFF000000000000000000000000000000000000000000
                    IE: Unknown: 3D160B001300000000000000000000000000000000000000
                    IE: Unknown: DD7A0050F204104A00011010440001021041000100103B00010310470010D7C2AF7C570337939A0B6E63D843BA8F102100104C696E6B73797320627920436973636F102300075752543631304E1024000876322E30302E30301042000234321054000800060050F2040001101100075752543631304E100800020084
                    IE: Unknown: DD090010180201F0050000
                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (2) : CCMP TKIP
                        Authentication Suites (1) : PSK
                    IE: Unknown: DD180050F2020101800003A4000027A4000042435E0062322F00
                    IE: Unknown: DD1E00904C337C181BFFFF000000000000000000000000000000000000000000
                    IE: Unknown: DD1A00904C340B001300000000000000000000000000000000000000
          Cell 06 - Address: C0:3F:0E:29:F4:46
                    Channel:11
                    Frequency:2.462 GHz (Channel 11)
                    Quality=28/70  Signal level=-82 dBm  
                    Encryption key:on
                    ESSID:"SweetHome"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 18 Mb/s
                              24 Mb/s; 36 Mb/s; 54 Mb/s
                    Bit Rates:6 Mb/s; 9 Mb/s; 12 Mb/s; 48 Mb/s
                    Mode:Master
                    Extra:tsf=000001c0341c2b31
                    Extra: Last beacon: 20ms ago
                    IE: Unknown: 00095377656574486F6D65
                    IE: Unknown: 010882840B162430486C
                    IE: Unknown: 03010B
                    IE: Unknown: 2A0104
                    IE: Unknown: 2F0104
                    IE: IEEE 802.11i/WPA2 Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (2) : CCMP TKIP
                        Authentication Suites (1) : PSK
                    IE: Unknown: 32040C121860
                    IE: Unknown: 2D1A7C181BFFFF000000000000000000000000000000000000000000
                    IE: Unknown: 3D160B001700000000000000000000000000000000000000
                    IE: Unknown: DD7C0050F204104A00011010440001021041000100103B00010310470010222BD6DFA8F022F0AC121D5DE2D8304B1021000D4E4554474541522C20496E632E10230009574E5232303030763210240009574E523230303076321042000230311054000800060050F204000110110009574E52323030307632100800020084
                    IE: Unknown: DD090010180204F0050000
                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (2) : CCMP TKIP
                        Authentication Suites (1) : PSK
                    IE: Unknown: DD180050F2020101800003A4000027A4000042435E0062322F00
                    IE: Unknown: DD1E00904C337C181BFFFF000000000000000000000000000000000000000000
                    IE: Unknown: DD1A00904C340B001700000000000000000000000000000000000000
          Cell 07 - Address: 00:0B:3B:D0:6C:0B
                    Channel:8
                    Frequency:2.447 GHz (Channel 8)
                    Quality=20/70  Signal level=-90 dBm  
                    Encryption key:on
                    ESSID:"Vaelgard3"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 9 Mb/s
                              18 Mb/s; 36 Mb/s; 54 Mb/s
                    Bit Rates:6 Mb/s; 12 Mb/s; 24 Mb/s; 48 Mb/s
                    Mode:Master
                    Extra:tsf=000000000284c06d
                    Extra: Last beacon: 252ms ago
                    IE: Unknown: 00095661656C6761726433
                    IE: Unknown: 010882848B961224486C
                    IE: Unknown: 030108
                    IE: Unknown: 2A0100
                    IE: Unknown: 32040C183060
                    IE: Unknown: 2D1AEE1117FFFF0000010000000000000000000000000C0000000000
                    IE: Unknown: 3D1608050000000000000000000000000000000000000000
                    IE: Unknown: 3E0100
                    IE: IEEE 802.11i/WPA2 Version 1
                        Group Cipher : CCMP
                        Pairwise Ciphers (1) : CCMP
                        Authentication Suites (1) : PSK
                    IE: Unknown: DD180050F2020101000003A4000027A4000042435E0062322F00
                    IE: Unknown: 0B05000006127A
                    IE: Unknown: 7F0101
                    IE: Unknown: DD07000B3B07000000
                    IE: Unknown: DD1E00904C33EE1117FFFF0000010000000000000000000000000C0000000000
                    IE: Unknown: DD1A00904C3408050000000000000000000000000000000000000000
                    IE: Unknown: DD860050F204104A0001101044000102103B000103104700102880288028801880A880000B3BD06C0B102100096465766F6C6F20414710230015576972656C6573732041636365737320506F696E7410240005574C414E4E1042000831323334353637381054000800060050F2040001101100096465766F6C6F415053100800020086103C000101

wlan0     IEEE 802.11bgn  ESSID:off/any  
          Mode:Managed  Access Point: Not-Associated   Tx-Power=20 dBm   
          Retry  long limit:7   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off

with kernel 3.0:
wlan0     Scan completed :
          Cell 01 - Address: 00:04:0E:53:C9:A8
                    Channel:13
                    Frequency:2.472 GHz (Channel 13)
                    Quality=40/70  Signal level=-70 dBm  
                    Encryption key:on
                    ESSID:"olze"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s
                    Bit Rates:6 Mb/s; 9 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s
                              36 Mb/s; 48 Mb/s; 54 Mb/s
                    Mode:Master
                    Extra:tsf=0000004513eeb445
                    Extra: Last beacon: 64ms ago
                    IE: Unknown: 00046F6C7A65
                    IE: Unknown: 010482848B96
                    IE: Unknown: 03010D
                    IE: Unknown: 2A0104
                    IE: IEEE 802.11i/WPA2 Version 1
                        Group Cipher : CCMP
                        Pairwise Ciphers (1) : CCMP
                        Authentication Suites (1) : PSK
                    IE: Unknown: 32088C129824B048606C
                    IE: Unknown: DD0A0800280101000200FF0F
          Cell 02 - Address: 00:21:1E:61:26:50
                    Channel:13
                    Frequency:2.472 GHz (Channel 13)
                    Quality=40/70  Signal level=-70 dBm  
                    Encryption key:on
                    ESSID:"LBE-38145"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 22 Mb/s
                    Bit Rates:6 Mb/s; 9 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s
                              36 Mb/s; 48 Mb/s; 54 Mb/s
                    Mode:Master
                    Extra:tsf=0000001e7bf39e06
                    Extra: Last beacon: 96ms ago
                    IE: Unknown: 00094C42452D3338313435
                    IE: Unknown: 010582848B962C
                    IE: Unknown: 03010D
                    IE: Unknown: 2A0104
                    IE: IEEE 802.11i/WPA2 Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (1) : CCMP
                        Authentication Suites (1) : PSK
                    IE: Unknown: 32080C1218243048606C
                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (1) : TKIP
                        Authentication Suites (1) : PSK
          Cell 03 - Address: 00:24:37:07:45:B0
                    Channel:3
                    Frequency:2.422 GHz (Channel 3)
                    Quality=32/70  Signal level=-78 dBm  
                    Encryption key:on
                    ESSID:"DSC-23696"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 22 Mb/s
                    Bit Rates:6 Mb/s; 9 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s
                              36 Mb/s; 48 Mb/s; 54 Mb/s
                    Mode:Master
                    Extra:tsf=00000e97d5ceb63b
                    Extra: Last beacon: 1413ms ago
                    IE: Unknown: 00094453432D3233363936
                    IE: Unknown: 010582848B962C
                    IE: Unknown: 030103
                    IE: Unknown: 2A0107
                    IE: IEEE 802.11i/WPA2 Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (1) : CCMP
                        Authentication Suites (1) : PSK
                    IE: Unknown: 32080C1218243048606C
                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (1) : TKIP
                        Authentication Suites (1) : PSK
          Cell 04 - Address: 00:19:5B:01:8D:D1
                    Channel:6
                    Frequency:2.437 GHz (Channel 6)
                    Quality=32/70  Signal level=-78 dBm  
                    Encryption key:on
                    ESSID:"ATCQ-Wireless"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s
                    Bit Rates:6 Mb/s; 9 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s
                              36 Mb/s; 48 Mb/s; 54 Mb/s
                    Mode:Master
                    Extra:tsf=0000060b1567e183
                    Extra: Last beacon: 1134ms ago
                    IE: Unknown: 000D415443512D576972656C657373
                    IE: Unknown: 010482848B96
                    IE: Unknown: 030106
                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (1) : TKIP
                        Authentication Suites (1) : PSK
                    IE: Unknown: 050400030008
                    IE: Unknown: 2A0102
                    IE: Unknown: 32080C1218243048606C
          Cell 05 - Address: 00:0B:3B:D0:6C:0B
                    Channel:8
                    Frequency:2.447 GHz (Channel 8)
                    Quality=24/70  Signal level=-86 dBm  
                    Encryption key:on
                    ESSID:"Vaelgard3"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 9 Mb/s
                              18 Mb/s; 36 Mb/s; 54 Mb/s
                    Bit Rates:6 Mb/s; 12 Mb/s; 24 Mb/s; 48 Mb/s
                    Mode:Master
                    Extra:tsf=000000002011bb98
                    Extra: Last beacon: 973ms ago
                    IE: Unknown: 00095661656C6761726433
                    IE: Unknown: 010882848B961224486C
                    IE: Unknown: 030108
                    IE: Unknown: 2A0100
                    IE: Unknown: 32040C183060
                    IE: Unknown: 2D1AEE1117FFFF0000010000000000000000000000000C0000000000
                    IE: Unknown: 3D1608050000000000000000000000000000000000000000
                    IE: Unknown: 3E0100
                    IE: IEEE 802.11i/WPA2 Version 1
                        Group Cipher : CCMP
                        Pairwise Ciphers (1) : CCMP
                        Authentication Suites (1) : PSK
                    IE: Unknown: DD180050F2020101000003A4000027A4000042435E0062322F00
                    IE: Unknown: 0B05000006127A
                    IE: Unknown: 7F0101
                    IE: Unknown: DD07000B3B07000000
                    IE: Unknown: DD1E00904C33EE1117FFFF0000010000000000000000000000000C0000000000
                    IE: Unknown: DD1A00904C3408050000000000000000000000000000000000000000
                    IE: Unknown: DD860050F204104A0001101044000102103B000103104700102880288028801880A880000B3BD06C0B102100096465766F6C6F20414710230015576972656C6573732041636365737320506F696E7410240005574C414E4E1042000831323334353637381054000800060050F2040001101100096465766F6C6F415053100800020086103C000101
          Cell 06 - Address: 98:FC:11:6F:41:0C
                    Channel:11
                    Frequency:2.462 GHz (Channel 11)
                    Quality=25/70  Signal level=-85 dBm  
                    Encryption key:on
                    ESSID:"linksys"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 18 Mb/s
                              24 Mb/s; 36 Mb/s; 54 Mb/s
                    Bit Rates:6 Mb/s; 9 Mb/s; 12 Mb/s; 48 Mb/s
                    Mode:Master
                    Extra:tsf=00000ab1b38b519c
                    Extra: Last beacon: 266ms ago
                    IE: Unknown: 00076C696E6B737973
                    IE: Unknown: 010882848B962430486C
                    IE: Unknown: 03010B
                    IE: Unknown: 2A0100
                    IE: Unknown: 2F0100
                    IE: IEEE 802.11i/WPA2 Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (2) : CCMP TKIP
                        Authentication Suites (1) : PSK
                    IE: Unknown: 32040C121860
                    IE: Unknown: 2D1A7C181BFFFF000000000000000000000000000000000000000000
                    IE: Unknown: 3D160B001300000000000000000000000000000000000000
                    IE: Unknown: DD7A0050F204104A00011010440001021041000100103B00010310470010D7C2AF7C570337939A0B6E63D843BA8F102100104C696E6B73797320627920436973636F102300075752543631304E1024000876322E30302E30301042000234321054000800060050F2040001101100075752543631304E100800020084
                    IE: Unknown: DD090010180201F0050000
                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (2) : CCMP TKIP
                        Authentication Suites (1) : PSK
                    IE: Unknown: DD180050F2020101800003A4000027A4000042435E0062322F00
                    IE: Unknown: DD1E00904C337C181BFFFF000000000000000000000000000000000000000000
                    IE: Unknown: DD1A00904C340B001300000000000000000000000000000000000000
          Cell 07 - Address: C0:3F:0E:29:F4:46
                    Channel:11
                    Frequency:2.462 GHz (Channel 11)
                    Quality=28/70  Signal level=-82 dBm  
                    Encryption key:on
                    ESSID:"SweetHome"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 18 Mb/s
                              24 Mb/s; 36 Mb/s; 54 Mb/s
                    Bit Rates:6 Mb/s; 9 Mb/s; 12 Mb/s; 48 Mb/s
                    Mode:Master
                    Extra:tsf=000001c051a9a7a2
                    Extra: Last beacon: 705ms ago
                    IE: Unknown: 00095377656574486F6D65
                    IE: Unknown: 010882840B162430486C
                    IE: Unknown: 03010B
                    IE: Unknown: 2A0104
                    IE: Unknown: 2F0104
                    IE: IEEE 802.11i/WPA2 Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (2) : CCMP TKIP
                        Authentication Suites (1) : PSK
                    IE: Unknown: 32040C121860
                    IE: Unknown: 2D1A7C181BFFFF000000000000000000000000000000000000000000
                    IE: Unknown: 3D160B001700000000000000000000000000000000000000
                    IE: Unknown: DD7C0050F204104A00011010440001021041000100103B00010310470010222BD6DFA8F022F0AC121D5DE2D8304B1021000D4E4554474541522C20496E632E10230009574E5232303030763210240009574E523230303076321042000230311054000800060050F204000110110009574E52323030307632100800020084
                    IE: Unknown: DD090010180204F0050000
                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (2) : CCMP TKIP
                        Authentication Suites (1) : PSK
                    IE: Unknown: DD180050F2020101800003A4000027A4000042435E0062322F00
                    IE: Unknown: DD1E00904C337C181BFFFF000000000000000000000000000000000000000000
                    IE: Unknown: DD1A00904C340B001700000000000000000000000000000000000000
          Cell 08 - Address: D4:D1:84:52:1A:25
                    Channel:11
                    Frequency:2.462 GHz (Channel 11)
                    Quality=28/70  Signal level=-82 dBm  
                    Encryption key:on
                    ESSID:"xnu-71560"
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 18 Mb/s
                              24 Mb/s; 36 Mb/s; 54 Mb/s
                    Bit Rates:6 Mb/s; 9 Mb/s; 12 Mb/s; 48 Mb/s
                    Mode:Master
                    Extra:tsf=00000013a9ab8b47
                    Extra: Last beacon: 701ms ago

wlan0     IEEE 802.11bgn  ESSID:"olze"  
          Mode:Managed  Frequency:2.472 GHz  Access Point: 00:04:0E:53:C9:A8   
          Bit Rate=12 Mb/s   Tx-Power=20 dBm   
          Retry  long limit:7   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality=44/70  Signal level=-66 dBm  
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:10   Missed beacon:0
Comment 1 oliver.zemann 2012-07-08 02:44:32 EDT
correction: 3.3.x works, just running 3.3.7-1
so its only at 3.4
Comment 2 John W. Linville 2012-07-09 10:25:49 EDT
So, 3.3.4-5 doesn't connect and 3.3.7-1 does.  But, 3.4-based kernels aren't working for you?  What is the exact 3.4-based kernel you are runing ('uname -a' output)?

What is the basis for your speculation that "there is a big power/energy problem"?
Comment 3 oliver.zemann 2012-07-09 10:33:28 EDT
> So, 3.3.4-5 doesn't connect and 3.3.7-1 does.
No. As mentioned in Comment #1:
3.3.x works (including 3.3.4-5), and 3.3.7-1 - i had only the debug version of 3.3.4-5 which i thought i was running, but it was a 3.4 version, whatever, 3.3.x is working.

I cant uname now as i am not on my station. Will do that later. It is the current and latest version available for fedora. 

The basis of my speculation is that its working like a charm on windows and all kernels < 3.4
If you think this is a wlan problem regarding my hardware/location etc.: no it is not.
Comment 4 oliver.zemann 2012-07-09 10:34:34 EDT
At the moment (regarding the kernel version) i can only say (as mentioned in my first post) it is a 3.4.4.5 kernel if this may help you.
Comment 5 oliver.zemann 2012-07-09 13:54:37 EDT
[oli@lucy ~]$ cat very_important_informations.txt 
Linux lucy 3.4.4-5.fc17.x86_64 #1 SMP Thu Jul 5 20:20:59 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

No idea what you can see from this line what is not mentioned before, but here it is.

If you need further informations, just tell me and i will see that i can provide them.
Comment 6 oliver.zemann 2012-07-15 09:57:58 EDT
Something new regarding this bug?
Comment 7 Josh Boyer 2013-01-02 13:10:15 EST
Are you still seeing this with the 3.6.11 or newer kernels?
Comment 8 Justin M. Forbes 2013-02-01 10:54:41 EST
This bug is being closed because it has been set needinfo for more than 2 weeks without a response. If this is still an issue, please reopen and reply with the requested information.
Comment 9 oliver.zemann 2013-02-01 14:18:08 EST
yes this bug still occurs, didnt see that someone posted here, sorry
Comment 10 Justin M. Forbes 2013-02-01 15:08:18 EST
What is the most recent kernel version you have tried it with?
Comment 11 oliver.zemann 2013-02-02 03:02:34 EST
Linux lucy2 3.7.1-5.fc18.x86_64 #1 SMP Tue Jan 8 16:21:34 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

I can find now my AP but its still not the same result as it should be because when i use an old kernel which "works" i see at least 5 more APs. 
I am just doing an update..
Comment 12 Fedora End Of Life 2013-07-04 01:56:08 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 John Greene 2013-07-16 10:15:01 EDT
Hi Oliver,

Where are you with this?  I see that you are just doing an update..if that means moving to a later kernel permanently, that's good.  

What's your situation now? Is this still a problem for you?
Comment 14 oliver.zemann 2013-07-16 10:26:53 EDT
I created this bug over a year ago, in hope that someone could stick deeper into that. Unfortunately, as no one gave a sh*t about that, i switched the stick.
Comment 15 John Greene 2013-07-16 10:43:18 EDT
Oliver,

Sorry we couldn't help you in a more timely manner.  I hope your new device is performing at your expectation level.  

I'll close this as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.